.gba
.open "zm_u.gba","zm_u_shortDoors.gba",0x8000000

/* 
makes hatches in MZM three blocks tall.
Also takes care of editing all the tile tables for you.

a collective effort of yohann, somerando, cosmic
yohann- hex tweaks, finding stuff
somerando- finding stuff, rle re-encoder
cosmic- this asm, graphics and tilemap edits
*/

.org 0x85d940C
 .incbin "genericbg.gfxraw"

.org 0x83655A0
 .incbin "hatches.tilemap"

.org 0x8364F80
 .incbin "transition.rletilemap"

; prevents bottom block from opening hatches
.org 0x805AF66
 .byte 0x2

; bottom block of hatches no longer updated
.org 0x805E9FC 
 .byte 0x0,0x0,0x0,0x0
.org 0x805EA3C 
 .byte 0x0,0x0,0x0,0x0
.org 0x805E9B0
 .byte 0x0,0x0,0x0,0x0
; for hatches overriden i.e. already opened red/green/yellow hatches
.org 0x805EB7E
 .byte 0x0,0x0,0x0,0x0
.org 0x805EBBC
 .byte 0x0,0x0,0x0,0x0


;
; TILE TABLES
;
.macro tileTableEdit
 .incbin "topRowsTTB.bin"
.endmacro

.org 0x83664F4 + 2
tileTableEdit
.org 0x85E0620 + 2
tileTableEdit
.org 0x85E0D24 + 2
tileTableEdit
.org 0x85E1428 + 2
tileTableEdit
.org 0x8603A04 + 2
tileTableEdit
.org 0x8604A88 + 2
tileTableEdit
.org 0x8605B0C + 2
tileTableEdit
.org 0x8606B90 + 2
tileTableEdit
.org 0x8607C14 + 2
tileTableEdit
.org 0x8608C98 + 2
tileTableEdit
.org 0x860959C + 2
tileTableEdit
.org 0x8609EA0 + 2
tileTableEdit
.org 0x860A824 + 2
tileTableEdit
.org 0x860B328 + 2
tileTableEdit
.org 0x860BCAC + 2
tileTableEdit
.org 0x862C3F8 + 2
tileTableEdit
.org 0x862CE7C + 2
tileTableEdit
.org 0x862DA80 + 2
tileTableEdit
.org 0x862E484 + 2
tileTableEdit
.org 0x862F208 + 2
tileTableEdit
.org 0x8660F44 + 2
tileTableEdit
.org 0x8661CC8 + 2
tileTableEdit
.org 0x8662A4C + 2
tileTableEdit
.org 0x8664250 + 2
tileTableEdit
.org 0x86654D4 + 2
tileTableEdit
.org 0x86662D8 + 2
tileTableEdit
.org 0x866705C + 2
tileTableEdit
.org 0x8667BE0 + 2
tileTableEdit
.org 0x8668C64 + 2
tileTableEdit
.org 0x86699E8 + 2
tileTableEdit
.org 0x866AEEC + 2
tileTableEdit
.org 0x8694F40 + 2
tileTableEdit
.org 0x8695EC4 + 2
tileTableEdit
.org 0x8696DC8 + 2
tileTableEdit
.org 0x8697ACC + 2
tileTableEdit
.org 0x8698150 + 2
tileTableEdit
.org 0x86993D4 + 2
tileTableEdit
.org 0x86B5FC4 + 2
tileTableEdit
.org 0x86B72C8 + 2
tileTableEdit
.org 0x86B7FCC + 2
tileTableEdit
.org 0x86B8F50 + 2
tileTableEdit
.org 0x86D6BC0 + 2
tileTableEdit
.org 0x86D7C44 + 2
tileTableEdit
.org 0x86D89C8 + 2
tileTableEdit
.org 0x86D97CC + 2
tileTableEdit
.org 0x86DA550 + 2
tileTableEdit
.org 0x86DB5D4 + 2
tileTableEdit
.org 0x87187BC + 2
tileTableEdit
.org 0x8719F40 + 2
tileTableEdit
.org 0x871B6C4 + 2
tileTableEdit
.org 0x871CE48 + 2
tileTableEdit
.org 0x871D7CC + 2
tileTableEdit
.org 0x871E050 + 2
tileTableEdit
.org 0x871F6D4 + 2
tileTableEdit
.org 0x8720458 + 2
tileTableEdit
.org 0x8720DDC + 2
tileTableEdit
.org 0x8722460 + 2
tileTableEdit
.org 0x8723AE4 + 2
tileTableEdit
.org 0x8724DE8 + 2
tileTableEdit
.org 0x8725B6C + 2
tileTableEdit
.org 0x87271F0 + 2
tileTableEdit
.org 0x8728FF4 + 2
tileTableEdit

.close